Public Member Functions

# wxIndividualLayoutConstraint Class Reference

`#include <wx/layout.h>`

Inheritance diagram for wxIndividualLayoutConstraint:
[legend]

## Public Member Functions
| wxIndividualLayoutConstraint ()
virtual | ~wxIndividualLayoutConstraint ()
void | Set (wxRelationship rel, wxWindow *otherW, wxEdge otherE, int val=0, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | LeftOf (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | RightOf (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | Above (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | Below (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | SameAs (wxWindow *otherW, wxEdge edge, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | PercentOf (wxWindow *otherW, wxEdge wh, int per)
void | Absolute (int val)
void | Unconstrained ()
void | AsIs ()
wxWindow * | GetOtherWindow ()
wxEdge | GetMyEdge () const
void | SetEdge (wxEdge which)
void | SetValue (int v)
int | GetMargin ()
void | SetMargin (int m)
int | GetValue () const
int | GetPercent () const
int | GetOtherEdge () const
bool | GetDone () const
void | SetDone (bool d)
wxRelationship | GetRelationship ()
void | SetRelationship (wxRelationship r)
bool | ResetIfWin (wxWindow *otherW)
bool | SatisfyConstraint (wxLayoutConstraints *constraints, wxWindow *win)
int | GetEdge (wxEdge which, wxWindow *thisWin, wxWindow *other) const

List of all members.

## Constructor & Destructor Documentation

wxIndividualLayoutConstraint::wxIndividualLayoutConstraint | ( |  | ) |

virtual wxIndividualLayoutConstraint::~wxIndividualLayoutConstraint | ( |  | ) | `[virtual]`

## Member Function Documentation

void wxIndividualLayoutConstraint::Above | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN` |
| ) |  |  |

void wxIndividualLayoutConstraint::Absolute | ( | int | val | ) |

void wxIndividualLayoutConstraint::AsIs | ( |  | ) | `[inline]`

void wxIndividualLayoutConstraint::Below | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN` |
| ) |  |  |

bool wxIndividualLayoutConstraint::GetDone | ( |  | ) | const

int wxIndividualLayoutConstraint::GetEdge | ( | wxEdge | which,
|  | wxWindow * | thisWin,
|  | wxWindow * | other |
| ) |  |  | const

int wxIndividualLayoutConstraint::GetMargin | ( |  | ) |

wxEdge wxIndividualLayoutConstraint::GetMyEdge | ( |  | ) | const

int wxIndividualLayoutConstraint::GetOtherEdge | ( |  | ) | const

wxWindow* wxIndividualLayoutConstraint::GetOtherWindow | ( |  | ) |

int wxIndividualLayoutConstraint::GetPercent | ( |  | ) | const

wxRelationship wxIndividualLayoutConstraint::GetRelationship | ( |  | ) |

int wxIndividualLayoutConstraint::GetValue | ( |  | ) | const

void wxIndividualLayoutConstraint::LeftOf | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN` |
| ) |  |  |

void wxIndividualLayoutConstraint::PercentOf | ( | wxWindow * | otherW,
|  | wxEdge | wh,
|  | int | per |
| ) |  |  |

bool wxIndividualLayoutConstraint::ResetIfWin | ( | wxWindow * | otherW | ) |

void wxIndividualLayoutConstraint::RightOf | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN` |
| ) |  |  |

void wxIndividualLayoutConstraint::SameAs | ( | wxWindow * | otherW,
|  | wxEdge | edge,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN` |
| ) |  |  |

bool wxIndividualLayoutConstraint::SatisfyConstraint | ( | wxLayoutConstraints * | constraints,
|  | wxWindow * | win |
| ) |  |  |

void wxIndividualLayoutConstraint::Set | ( | wxRelationship | rel,
|  | wxWindow * | otherW,
|  | wxEdge | otherE,
|  | int | val = `0`,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN` |
| ) |  |  |

void wxIndividualLayoutConstraint::SetDone | ( | bool | d | ) |

void wxIndividualLayoutConstraint::SetEdge | ( | wxEdge | which | ) |

void wxIndividualLayoutConstraint::SetMargin | ( | int | m | ) |

void wxIndividualLayoutConstraint::SetRelationship | ( | wxRelationship | r | ) |

void wxIndividualLayoutConstraint::SetValue | ( | int | v | ) |

void wxIndividualLayoutConstraint::Unconstrained | ( |  | ) | `[inline]`

|  | [ top ]